Module ij
Package ij.plugin

# Class SpecifyROI

java.lang.Object
ij.plugin.SpecifyROI

All Implemented Interfaces:
  `DialogListener`, `PlugIn`

public class SpecifyROI extends Object implements PlugIn, DialogListener
This plugin implements the Edit/Selection/Specify command.

New update, correctly handling existing oval ROIs, the case that "Centered" is already selected when the plugin starts, and always restoring the original ROI when the dialog is cancelled (JW, 2008/02/22) Enhancing the original plugin created by Jeffrey Kuhn, this one takes, in addition to width and height and the option to have an oval ROI from the original program, x invalid input: '&' y coordinates, slice number, and the option to have the x invalid input: '&' y coordinates centered or in default top left corner of ROI. The original creator is Jeffrey Kuhn, The University of Texas at Austin, jkuhn@ccwf.cc.utexas.edu

Author:
  Joachim Wesner, Anthony Padua

## Constructor Summary

Constructors
Constructor
Description
`SpecifyROI()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`dialogItemChanged(GenericDialog gd, AWTEvent e)`
This method is invoked by a Generic Dialog if any of the inputs have changed (CANCEL does not trigger it; OK and running the dialog from a macro only trigger the first DialogListener added to a GenericDialog).
`void`
`run(String arg)`
This method is called when the plugin is loaded.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SpecifyROI

public SpecifyROI()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### dialogItemChanged

public boolean dialogItemChanged(GenericDialog gd, AWTEvent e)
Description copied from interface: `DialogListener`
This method is invoked by a Generic Dialog if any of the inputs have changed (CANCEL does not trigger it; OK and running the dialog from a macro only trigger the first DialogListener added to a GenericDialog).

Specified by:
  `dialogItemChanged` in interface `DialogListener`
Parameters:
  `gd` - A reference to the GenericDialog.
  `e` - The event that has been generated by the user action in the dialog. Note that `e` is `null` if the dialogItemChanged method is called after the user has pressed the OK button or if the GenericDialog has read its parameters from a macro.
Returns:
  Should be true if the dialog input is valid. False disables the OK button and preview (if any).